WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: SYSTEM_LOGICAL_PROCESSOR_INFORMATION, class: AnonymousUnionPayload

Package com.sun.jna.platform.win32

# Class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload

Enclosing class:
  WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

public static class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload extends Union

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.CACHE_DESCRIPTOR`
  `cache`
  Identifies the characteristics of a particular cache.
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructNumaNode`
  `numaNode`
  Contains valid data only if `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.relationship` is `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationNumaNode`.
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore`
  `processorCore`
  Contains valid data only if `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.relationship` is `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorCore`.
  `WinDef.ULONGLONG[]`
  `reserved`
  Reserved.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousUnionPayload()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### processorCore

    public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore processorCore
    Contains valid data only if `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.relationship` is `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorCore`.

  - ### numaNode

    public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructNumaNode numaNode
    Contains valid data only if `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.relationship` is `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationNumaNode`.

  - ### cache

    public WinNT.CACHE_DESCRIPTOR cache

    Identifies the characteristics of a particular cache. There is one record returned for each cache reported. Some or all caches may not be reported, depending on how caches are identified. Therefore, do not assume the absence of any particular caches. Caches are not necessarily shared among logical processors.

    Contains valid data only if `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.relationship` is `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationCache`.

    This member was not supported until Windows Server 2003 SP1 / Windows XP Professional x64.

  - ### reserved

    public WinDef.ULONGLONG[] reserved
    Reserved. Do not use.

- ## Constructor Details

  - ### AnonymousUnionPayload

    public AnonymousUnionPayload()